> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/ai-agents/llm-providers.md).

# LLM Providers

The following endpoints allow you to inspect supported AI Providers connections and retrieve the list of supported models. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change.

> **Deprecation notice:** Support for **Amazon Bedrock** and **Cohere** as bring-your-own-key providers will be deprecated after **July 23, 2026**.

## List LLM Providers

> Retrieve a list of all LLM providers

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents / LLM Providers","description":"The following endpoints allow you to inspect supported AI Providers connections and retrieve the list of supported models. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change.\n\n> **Deprecation notice:** Support for **Amazon Bedrock** and **Cohere** as bring-your-own-key providers will be deprecated after **July 23, 2026**."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/llm-providers":{"get":{"summary":"List LLM Providers","description":"Retrieve a list of all LLM providers","tags":["AI Agents / LLM Providers"],"parameters":[{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"responses":{"200":{"description":"LLM providers listed successfully","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"provider":{"type":"string","enum":["openAi","anthropic","mistral","ai-agent-foundry-openai","ai-agent-foundry-non-openai","cohere","groq","xai","gemini","amazon-bedrock","openai-api-spec-compatible"]},"accountName":{"type":"string","description":"Name of the account (Make connection) associated with the LLM provider"}},"required":["id","provider","accountName"]},"description":"Response body containing a list of available LLM providers."}}}}}}}}}
```

## Get LLM Provider

> Retrieve details of a specific LLM provider by ID

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents / LLM Providers","description":"The following endpoints allow you to inspect supported AI Providers connections and retrieve the list of supported models. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change.\n\n> **Deprecation notice:** Support for **Amazon Bedrock** and **Cohere** as bring-your-own-key providers will be deprecated after **July 23, 2026**."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/llm-providers/{providerId}":{"get":{"summary":"Get LLM Provider","description":"Retrieve details of a specific LLM provider by ID","tags":["AI Agents / LLM Providers"],"parameters":[{"schema":{"type":"number"},"required":true,"name":"providerId","in":"path"},{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"responses":{"200":{"description":"LLM provider details retrieved successfully","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"provider":{"type":"string","enum":["openAi","anthropic","mistral","ai-agent-foundry-openai","ai-agent-foundry-non-openai","cohere","groq","xai","gemini","amazon-bedrock","openai-api-spec-compatible"]}},"required":["id","provider"]},"description":"Detailed information about a specific LLM provider."}}}}}}}}}
```

## List Models for LLM Provider

> Retrieve a list of models for a specific LLM provider by ID

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"AI Agents / LLM Providers","description":"The following endpoints allow you to inspect supported AI Providers connections and retrieve the list of supported models. These endpoints are available in **open beta** to all users. As beta endpoints, both functionality and availability may change.\n\n> **Deprecation notice:** Support for **Amazon Bedrock** and **Cohere** as bring-your-own-key providers will be deprecated after **July 23, 2026**."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["ai-agents:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/ai-agents/v1/llm-providers/{providerId}/models":{"get":{"summary":"List Models for LLM Provider","description":"Retrieve a list of models for a specific LLM provider by ID","tags":["AI Agents / LLM Providers"],"parameters":[{"schema":{"type":"number"},"required":true,"name":"providerId","in":"path"},{"schema":{"type":"number","exclusiveMinimum":0},"required":true,"name":"teamId","in":"query"}],"responses":{"200":{"description":"List of models for the LLM provider retrieved successfully","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"model":{"type":"string","enum":["gpt-4o","gpt-4o-mini","gpt-4.1","gpt-4.1-mini","gpt-4.1-nano","o1","o3","o3-mini","o4-mini","claude-3-7-sonnet-latest","claude-3-5-sonnet-latest","claude-3-5-haiku-latest","claude-3-opus-latest","claude-3-haiku-20240307","claude-3-sonnet-20240229","mistral-large-latest","open-mistral-nemo","mistral-small-latest","codestral-latest","command-r7b-12-2024","command-r-plus-08-2024","command-r-08-2024","llama-3.3-70b-versatile","llama-3.1-8b-instant","llama3-70b-8192","llama3-8b-8192","grok-3-latest","grok-3-fast-latest","grok-3-mini-latest","grok-3-mini-fast-latest","grok-2-latest","gemini-2.5-pro","gemini-2.5-flash","gemini-2.0-flash","gemini-2.0-flash-lite","gemini-1.5-flash","gemini-1.5-pro"]},"provider":{"type":"string","enum":["openAi","anthropic","mistral","ai-agent-foundry-openai","ai-agent-foundry-non-openai","cohere","groq","xai","gemini","amazon-bedrock","openai-api-spec-compatible"]},"tokenLimit":{"type":"integer"},"settings":{"type":"object","properties":{"maxTokens":{"type":"integer"}}}},"required":["model","provider","tokenLimit","settings"]},"description":"Response body containing a list of models for a specific LLM provider."}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/ai-agents/llm-providers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
